=== debian/changelog ===
swi-prolog (5.8.2-2) unstable; urgency=low

  * Drop duplicate libjpeg62-dev, libxpm-dev and libxt-dev Build-Depends.
  * Replace libjpeg62-dev Build-Dependency with libjpeg-dev.
  * Fix FTBFS on GNU/kFreeBSD. Thanks to Petr Salinger
    <Petr.Salinger@seznam.cz>. (Closes: #571078)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Feb 2010 22:08:03 +0000

swi-prolog (5.8.2-1) unstable; urgency=low

  * New upstream release.
  * Re-arrange binary packages at upstream's request:
    - Rename -xpce to -x
    - Rename -jpl to -java
    - Rename "swi-prolog" to -nox and merge -clib, -http, -semweb, -sgml
      and -table into it
    - The "swi-prolog-odbc" package remains unchanged
    - A new "swi-prolog" package depends on both "swi-prolog-nox" and
      "swi-prolog-x"

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Jan 2010 00:39:12 +0000

swi-prolog (5.8.0-1) unstable; urgency=low

  * New upstream release.
    - Local copy of strndup renamed to my_strndup. (Closes: #552847)
  * Replace libreadline5-dev dependencies with libreadline-dev.
  * Fix bad jpl.jar symlink in "main" swi-prolog package by using
    debian/swi-prolog-jpl.links instead of specifying it in debian/rules
    to ensure it ends up in the right package. (Closes: #549628)

 -- Chris Lamb <lamby@debian.org>  Thu, 29 Oct 2009 19:17:06 +0000

swi-prolog (5.6.64-3) unstable; urgency=low

  * Include CHR library in swi-prolog package. (Closes: #541183)
  * Bump Standards-Version to 3.8.3.

 -- Chris Lamb <lamby@debian.org>  Tue, 25 Aug 2009 03:55:20 +0100

swi-prolog (5.6.64-2) unstable; urgency=low

  * Add Build-Depends on libxft-dev, libxext-dev, libice-dev, libjpeg62-dev,
    libxinerama-dev, libxpm-dev and libxt-dev for anti-aliased fonts in XPCE.
    (Closes: #527233)
  * Bump Standards-Version to 3.8.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 May 2009 13:43:43 +0100

swi-prolog (5.6.64-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch file.
  * Drop 05_fix_java_lib_paths patch - applied upstream.
  * Refer to `/usr/share/common-licenses/GPL-2' in debian/copyright instead of
    just `GPL'.
  * Update Git repository URLs.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Feb 2009 02:17:41 +0000

swi-prolog (5.6.63-3) unstable; urgency=low

  * Add call to autoconf to ensure the changes in 05_fix_java_lib_paths.dpatch
    are actually applied to the JPL source. Thanks again to Peter Green
    <plugwash@p10link.net>. (Closes: #510409)

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Jan 2009 01:26:48 +0000

swi-prolog (5.6.63-2) unstable; urgency=low

  * Fix FTBFS on architectures other than i386 and amd64 (Closes: #510409)
    - Add 05_fix_java_lib_paths.dpatch to fix Java include directory for
      architectures that have OpenJDK but the Autoconf fragment is new enough
      to cater for it.
    - Don't Build-Depend on openjdk-6-jre on arm and hppa.
    - Expand "Architecture: any" and remove arm and hppa.
    - Move from calling ``dh_* -a'' to ``dh_* -s'' where appropriate.
    - Conditionally call various debhelper commands that reference
      swi-prolog-jpl where that architecture does not apply.

    Many thanks to Peter Green <plugwash@p10link.net> who provided both
    analysis and patches for this issue.
  * Fix FTBFS twice in a row.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Jan 2009 22:57:07 +0000

swi-prolog (5.6.63-1) unstable; urgency=low

  * New upstream release.
  * Build the JPL (bidirectional Java interface) library in the swi-prolog-jpl
    binary package now that OpenJDK is in main. (Closes: #449437)
    - Remove 01_not_jpl_package.dpatch
    - Add Build-Depends on openjdk-6-jdk
    - Add convenience symlink from /usr/share/java/jpl.jar
  * Don't play Hanoi in clean target anymore with some (required) files that
    upstream was cleaning - change merged upstream.
  * New maintainer email address.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Dec 2008 22:07:04 +0000

swi-prolog (5.6.59-1) unstable; urgency=low

  * New upstream release - "mostly a bugfix release, fixing GC and HTTP issues
    from 5.6.56":
    - Garbage collection fixes:
      + Avoid crash on recursive GC signalling
      + Add support for A_MPZ in life-gc walker (crasher)
      + Call signal handlers at a safe place whilst backtracking.
      + Fix possible crash of profiler on GC.
      + Misc. GC fixes
    - HTTP fixes:
      + http_read_request/3 throws error on illegal request and 
        http_wrapper/5.
      + http_open/3 now raises an error if the URL is not well-formed
        instead of failing silently.
    - Other fixes:
      + Fix possible crash in copy_term/2 etc. on 32-bit systems.
      + Avoid import messages from module user in saved states.
    - New features:
      + library(terms) for enhanced compatibility to YAP/Quintus/SICStus.
      + Use PceEmacs as default editor if XPCE is available.
      + zcompare/3, analogous to compare/3 for FD variables.
      + constraint element/3, analogous to nth/1.
  * Build CHR on arm and armel again after GC fixes (disabled in 5.6.58-2).

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 07 Aug 2008 13:58:33 +0100

swi-prolog (5.6.58-2) unstable; urgency=low

  * Fix regression when moving from dh_movefiles to dh_install. dh_install
    only copies the specifies files whilst dh_movefiles moves them - this was
    resulting in the contents of the binary "swi-prolog" package being
    duplicated inside "swi-prolog-xpce", causing file conflicts at
    installation. (Closes: #492364)
  * Don't build the CHR package on arm and armel to prevent FTBFS on these
    archictures.
  * Add 04_fix_hyphens_being_used_as_minus_signs_in_manpages.dpatch to fix
    hyphen issues in manpages.
  * Build-Depend on debhelper (>= 5) instead of (>= 5.0.0).
  * Add "no-symbols-control-file" override to the shared-library related
    lintian overrides.

