=== debian/control ===
Source: swi-prolog
Section: interpreters
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libncurses5-dev, libreadline-dev, libgmp3-dev, libjpeg-dev, libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, chrpath, unixodbc-dev, openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc], libxft-dev, libxext-dev, libice-dev, libxinerama-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-swi-prolog.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-swi-prolog.git
Homepage: http://www.swi-prolog.org

Package: swi-prolog
Architecture: any
Depends: ${misc:Depends}, swi-prolog-nox (= ${binary:Version}), swi-prolog-x (= ${binary:Version})
Suggests: swi-prolog-doc, prolog-el
Description: ISO/Edinburgh-style Prolog interpreter
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface

Package: swi-prolog-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp3-dev, libreadline-dev
Replaces: swi-prolog-clib, swi-prolog-http, swi-prolog-semweb, swi-prolog-sgml, swi-prolog-table
Conflicts: swi-prolog (<< 5.8.2-1)
Suggests: swi-prolog-doc, prolog-el
Description: ISO/Edinburgh-style Prolog interpreter (without X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package contains a working SWI-Prolog installation with GUI components.

Package: swi-prolog-x
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Replaces: swi-prolog-xpce
Description: User interface library for SWI-Prolog (with X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 XPCE is an object-oriented symbolic programming environment for user
 interfaces. Although XPCE was designed to be language-independent, it has
 gained popularity most with Prolog.

Package: swi-prolog-java
Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, openjdk-6-jre-headless | java2-runtime
Description: Bidirectional interface between SWI-Prolog and Java
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This library provides JPL, a bidirectional interface between SWI-Prolog and
 the Java 2 runtime.

Package: swi-prolog-odbc
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Description: ODBC library for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package provides a foreign language extension to ODBC, a standard for
 interfacing with database systems.
