## swi-prolog 5.10.1

=== debian/changelog ===
swi-prolog (5.10.1-1ubuntu1) natty; urgency=low

  * debian/patches/ftbfs_conflicting_types.patch: (LP: #755947)
    - patch from upstream git to fix FTBFS

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 13 Apr 2011 16:04:52 +0200

swi-prolog (5.10.1-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_chrpath_not_fatal.diff patch; applied upstream.
  * Bump Standards-Version to 3.9.1.
  * Prefer Breaks: over versioned Conflicts:.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Aug 2010 06:01:30 +0100

swi-prolog (5.10.0-1) unstable; urgency=low

  * New upstream release. (Closes: #587994)
  * Update package index after installing -nox which was resulting in
    incomplete installations after upgrading from lenny. (Closes: #585870)
  * Remove unneeded manpage section patch.
  * Update patches for latest swi-prolog version.
  * Remove reference to xpce.1 manpage (removed upstream).
  * libpl.so => libswipl.so.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Jul 2010 16:43:29 +0100
