## swi-prolog 5.10.2

=== debian/changelog ===
swi-prolog (5.10.2-1) unstable; urgency=low

  * New upstream version.
  * Update Vcs-{Git,Browser}.
  * Change libgmp3-dev dependency to libgmp-dev.

 -- Chris Lamb <lamby@debian.org>  Sun, 20 Mar 2011 06:29:25 +0000
