=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: swi-prolog
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libncurses5-dev, libreadline-dev, libgmp3-dev, libjpeg-dev, libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, chrpath, unixodbc-dev, openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc], libxft-dev, libxext-dev, libice-dev, libxinerama-dev
+Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libncurses5-dev, libreadline-dev, libgmp-dev, libjpeg-dev, libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, chrpath, unixodbc-dev, openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc], libxft-dev, libxext-dev, libice-dev, libxinerama-dev
 Standards-Version: 3.9.1
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-swi-prolog.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-swi-prolog.git
+Vcs-Git: git://github.com/lamby/pkg-swi-prolog.git
+Vcs-Browser: https://github.com/lamby/pkg-swi-prolog
 Homepage: http://www.swi-prolog.org
 
 Package: swi-prolog
