=== debian/changelog ===
swi-prolog (5.10.4-5) unstable; urgency=medium

  * New patches (taken from RedHat bugzilla, closes: #697416):
    - CVE-2012-6089.diff - fix for CVE-2012-6089 - possible buffer overrun in
      path canonisation code
    - CVE-2012-6090.diff - fix for CVE-2012-6090 - Possible buffer overflows
      when expanding file-names with long paths 
  * Urgency "medium" because of a fix for a security bug

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 05 Jan 2013 03:43:46 +0100

swi-prolog (5.10.4-4) unstable; urgency=medium

  * Build-conflict with libncursesw5-dev, so it will not be used during build
    instead of lincurses5-dev. This should make dependencies of swi-prolog-nox
    consistent across architectures (closes: #689583)
  * debian/gbp.conf - change debian-branch to wheezy-updates
  * Urgency medium because of fix for an RC bug

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 08 Oct 2012 21:54:54 +0200

swi-prolog (5.10.4-3) unstable; urgency=low

  [ Chris Lamb ]
  * Install sgml package into swi-prolog-nox. Thanks to Sami Kiviharju
    <sami.kiviharju@gmail.com>. (Closes: #642214)

  [ Євгеній Мещеряков ]
  * Adopt the package with maintainer's agreement
  * Make swi-prolog-nox depend on libncurses5-dev (closes: #644974)
  * Remove special rules for no longer supported arm and hppa architectures
    from debian/rules
  * Do not try to install jpl package if it was not built (closes: 644593)
  * Add debian/gbp.conf
  * Add pointers to collab-maint repository
  * Compress binary packages using xz

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 15 Dec 2011 23:44:28 +0100

swi-prolog (5.10.4-2) unstable; urgency=low

  * Add missing RDF library. Thanks to "A. N. Other"
    <a.n.other.debian@gmail.com>. (Closes: #639103)
  * Prevent similar issues with library paths with set -e.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Aug 2011 22:27:46 +0100

swi-prolog (5.10.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on mipsel (Closes: #634257)
  * New patch:
    - swi-prolog-mipsel-FTBFS.diff
  * Urgency medium because previous version was for too long in
    unstable on all other architectures

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 20 Jul 2011 20:02:11 +0200

swi-prolog (5.10.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jun 2011 14:04:49 +0100
