=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: swi-prolog
 Section: interpreters
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Євгеній Мещеряков <eugen@debian.org>
 Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libncurses5-dev, libreadline-dev, libgmp-dev, libjpeg-dev, libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, chrpath, unixodbc-dev, openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc], libxft-dev, libxext-dev, libice-dev, libxinerama-dev
-Standards-Version: 3.9.1
-Vcs-Git: git://github.com/lamby/pkg-swi-prolog.git
-Vcs-Browser: https://github.com/lamby/pkg-swi-prolog
+Build-Conflicts: libncursesw5-dev
+Standards-Version: 3.9.2
+Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/swi-prolog.git
 Homepage: http://www.swi-prolog.org
 
 Package: swi-prolog
@@ -29,7 +30,7 @@
 
 Package: swi-prolog-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp3-dev, libreadline-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp3-dev, libreadline-dev, libncurses5-dev
 Replaces: swi-prolog-clib, swi-prolog-http, swi-prolog-semweb, swi-prolog-sgml, swi-prolog-table
 Breaks: swi-prolog (<< 5.8.2-1)
 Suggests: swi-prolog-doc, prolog-el
