=== debian/rules ===
--- 
+++ 
@@ -16,19 +16,11 @@
 
 export CFLAGS=-fPIC
 
-# Don't optimise or build GPL on arm (old ABI)
-ifeq ($(PLARCH),arm)
-    export COFLAGS=-O0
-    CONFFLAGS += --without-jpl
-endif
+# List of architectures where -java package should be built,
+# it should be the same as those in debian/control
+JAVA_ARCHS = alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
 
-# Don't build JPL on hppa
-ifeq ($(PLARCH),hppa)
-    CONFFLAGS += --without-jpl
-endif
-
-# Don't build JPL on GNU/kFreeBSD
-ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+ifeq ($(filter $(ARCH),$(JAVA_ARCHS)),)
     CONFFLAGS += --without-jpl
 endif
 
@@ -100,12 +92,12 @@
 	cd debian/swi-prolog-tmp && find * -type f > ../swi-prolog-nox.install
 	cd debian/swi-prolog-tmp && find * -type l >> ../swi-prolog-nox.install
 
-	for i in "clib     swi-prolog-nox"   \
+	set -e; for i in "clib     swi-prolog-nox"   \
 		 "jpl      swi-prolog-java"    \
 		 "http     swi-prolog-nox"   \
 		 "semweb   swi-prolog-nox" \
-		 "sgml     swi-prolog-nox"   \
-		 "sgml/RDF swi-prolog-nox"   \
+		 "sgml     swi-prolog-nox" \
+		 "RDF      swi-prolog-nox"   \
 		 "table    swi-prolog-nox"  \
 		 "odbc     swi-prolog-odbc"   \
 		 "xpce     swi-prolog-tmp"    \
@@ -113,13 +105,15 @@
 		               ; do \
 		FROM=$$(echo $$i | cut -d " " -f1); \
 		TO=$$(echo $$i | cut -d " " -f2); \
-		mkdir -p $(CURDIR)/debian/$$TO/usr/lib/swi-prolog/library; \
-		$(MAKE) -C packages/$$FROM \
+		if test -r packages/$$FROM/Makefile; then \
+		    mkdir -p $(CURDIR)/debian/$$TO/usr/lib/swi-prolog/library; \
+		    $(MAKE) -C packages/$$FROM \
 			prefix=$(CURDIR)/debian/$$TO/usr \
 			PLBASE=$(CURDIR)/debian/$$TO/usr/lib/swi-prolog \
 			PLARCH=$(PLARCH) \
 			PL=$(CURDIR)/src/swipl PLEXE=$(CURDIR)/src/swipl \
 			install; \
+		fi; \
 	done
 
 	# Seperate XPCE and basic SWI-Prolog
@@ -130,7 +124,7 @@
 		rm -v debian/swi-prolog-tmp/{}
 
 	# Install standalone shared library
-	cp -r debian/swi-prolog-shared/usr/lib/pl-*/lib/*/libpl.so* \
+	cp -r debian/swi-prolog-shared/usr/lib/swipl-*/lib/*/libswipl.so* \
 		debian/swi-prolog-nox/usr/lib/
 
 	# Remove dbuild .pwd file (see #285894)
@@ -156,9 +150,9 @@
 	# Remove empty directories
 	find debian/ -depth -type d -empty -exec rm -rfv {} \;
 
-	# Remove RPATH from pl2xpce.so and libpl.so
+	# Remove RPATH from pl2xpce.so and libswipl.so
 	chrpath --delete debian/swi-prolog-x/usr/lib/swi-prolog/xpce-*/lib/*/pl2xpce.so || true
-	chrpath --delete debian/swi-prolog-nox/usr/lib/libpl.so || true
+	chrpath --delete debian/swi-prolog-nox/usr/lib/libswipl.so || true
 
 binary-common:
 	dh_testdir
@@ -183,7 +177,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zxz
 
 binary-indep: build install
