=== debian/watch ===
version=3
http://www.swi-prolog.org/download/stable /download/stable/src/pl-(.*)\.tar\.gz
